var $ = document

const cardNumberInput1 = $.getElementById('card-number-1')
const cardNumberInput2 = $.getElementById('card-number-2')
const cardNumberInput3 = $.getElementById('card-number-3')
const cardNumberInput4 = $.getElementById('card-number-4')
const cardCVV2 = $.getElementById('cvv2')
const cardMonth = $.getElementById('month')
const cardYear = $.getElementById('year')
const dynamicPass = $.getElementById('dynamic-pass')
const finishPayment = $.getElementById('finish-pay')
const sumPriceElem = $.getElementById('sum-price')

let locationParameter = new URLSearchParams(location.search)
let mainUsernameId = locationParameter.get('username')
let orderNumber = locationParameter.get('basket')

console.log(mainUsernameId,orderNumber);

cardNumberInput1.addEventListener('keydown',(event)=>{
    if(event.keyCode == 8){
        cardNumberInput1.value = cardNumberInput1.value.slice(0, -1)
    }
    
    if (cardNumberInput1.value.length == 4) {
        cardNumberInput2.focus()
    }
})
cardNumberInput2.addEventListener('keydown',(event)=>{
    if(event.keyCode == 8){
        cardNumberInput2.value = cardNumberInput2.value.slice(0, -1)
    }
    if(event.keyCode == 8 && cardNumberInput2.value.length == 0){
        cardNumberInput1.focus()
    }
    if (cardNumberInput2.value.length == 4) {
        cardNumberInput3.focus()
    }
})
cardNumberInput3.addEventListener('keydown',(event)=>{
    if(event.keyCode == 8){
        cardNumberInput3.value = cardNumberInput3.value.slice(0, -1)
    }
    if(event.keyCode == 8 && cardNumberInput3.value.length == 0){
        cardNumberInput2.focus()
    }
    if (cardNumberInput3.value.length == 4) {
        cardNumberInput4.focus()
    }
})
cardNumberInput4.addEventListener('keydown',(event)=>{
    if(event.keyCode == 8 && cardNumberInput4.value.length == 0){
        cardNumberInput3.focus()
    }
})

window.addEventListener('load',()=>{
    if (orderNumber,mainUsernameId) {
        fetch(`https://prj-un-default-rtdb.europe-west1.firebasedatabase.app/order/${mainUsernameId}/${orderNumber}/basket.json`)
            .then(res => res.json())
            .then(data => {
                let products = Object.entries(data)
                let productsArray = []
                let sumPrice = 0
                products.forEach((product)=>{
                    productsArray.push(product[1])
                })

                productsArray.forEach((product)=>{
                    sumPrice += product.price * product.count
                })
                sumPriceElem.innerHTML = 'مبلغ:' + sumPrice + '   تومان'

            }
            )
    }
})
finishPayment.addEventListener('click',()=>{
    if (cardNumberInput1.value && cardNumberInput2.value && cardNumberInput3.value && cardNumberInput4.value && cardMonth.value && cardYear.value && cardCVV2.value && dynamicPass.value) {
        location.href = `./finish-payment.html?username=${mainUsernameId}`
        
    }
})

