var $ = document



const namePrfElem = $.getElementById('name-family')
const emailPrfelem = $.getElementById('email-profile')
const addressPrfelem = $.getElementById('phone-profile')
const phonePrfElem = $.getElementById('address-profile')
const nameTitleElem = $.getElementById('name-title')
const emailTitleElem = $.getElementById('email-title')
const logOutBtn = $.getElementById('logout')
const goToMainPage = $.getElementById('main-profile')
const showOrders = $.getElementById('show-order')
const showProfile = $.getElementById('show-profile')
const detailContainer = $.getElementById('detail-container')
const profileDetail = $.getElementById('profile-detail')
const orderDetail = $.getElementById('order-detail')
const productsContainer = $.getElementById('products-container')
const ordersDiv = $.getElementById('orders-div')



showOrders.addEventListener('click', ()=>{
    profileDetail.classList.add('hidden')
    orderDetail.classList.remove('hidden')
})
showProfile.addEventListener('click',()=>{
    profileDetail.classList.remove('hidden')
    orderDetail.classList.add('hidden')
})
let ordersArray = []
let locationParameter = new URLSearchParams(location.search)
let mainUsernameId = locationParameter.get('username')
window.addEventListener('load',()=>{
    fetch(`https://prj-un-default-rtdb.europe-west1.firebasedatabase.app/users/${mainUsernameId}/orders.json`)
        .then(res => res.json())
        .then(data =>{
            let orders = Object.entries(data)
                
                orders.forEach((order)=>{
                    ordersArray.push(order)
                })
                ordersArray.forEach((order)=>{
                    orderDetail.insertAdjacentHTML('beforeend',`<div class="cursor-pointer" onClick="showOrderDetail(${order[0]})">${order[0]}</div><br>`)
                })
        })
    if(mainUsernameId){
        fetch('https://prj-un-default-rtdb.europe-west1.firebasedatabase.app/users.json')
        .then(res => res.json())
        .then(data => {
            let usersObj = Object.entries(data)
            let loginUser = usersObj.find((user)=>{
                return user[0] === mainUsernameId
            })   
            namePrfElem.innerHTML = "نام و نام خانوادگی: " + loginUser[1].name
            emailPrfelem.innerHTML = "ایمیل:" + loginUser[1].email
            addressPrfelem.innerHTML = "آدرس:" + loginUser[1].address
            phonePrfElem.innerHTML = "شماره تماس:" + loginUser[1].phone
            nameTitleElem.innerHTML = loginUser[1].name
            emailTitleElem.innerHTML = loginUser[1].email
            goToMainPage.href = `./index.html?username=${mainUsernameId}`
        })
    }else{
        location.href = `./login.html`
    }
    
})

let productsOrder = []
const showOrderDetail =(orderNumber)=>{
    ordersDiv.classList.remove('hidden')
    productsContainer.innerHTML = ''
    productsOrder = []
    fetch(`https://prj-un-default-rtdb.europe-west1.firebasedatabase.app/users/${mainUsernameId}/orders/${orderNumber}.json`)
        .then(res => res.json())
        .then(data => {
            let products = Object.entries(data)
            console.log(typeof(products));
            products.forEach((product)=>{
                productsOrder.push(product[1])
            })
            setTimeout(()=>{
                productsOrder.forEach((product)=>{
                    productsContainer.insertAdjacentHTML('beforeend',`
                    <tr class="grid gap-x-4 grid-cols-4 text-center items-center my-3 rounded-md">
                                <td><img class="w-16 mx-auto" src="${product.img}" alt=""></td>
                                <td><span>${product.title}</span></td>
                                <td><span>${product.count}</span></td>
                                <td><span>${product.minBon}</span></td>
                            </tr>
                    `)
                })
            },2000)
            
        })
        
}
logOutBtn.addEventListener('click',()=>{
    location.href = `http://127.0.0.1:5500/public/index.html`
})

